# DarContact: The ZoneCheck Team <zonecheck@nic.fr>

%define rversion 2.0.0b7

Summary: Check for DNS misconfigurations.
Name: zonecheck
Version: 2.0.0
Release: 0.b7.dag
License: GPL
Group: Applications/Internet
URL: http://www.zonecheck.fr/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://savannah.nongnu.org/download/zonecheck/%{name}-%{rversion}.tgz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

#BuildRequires: ruby >= 1.8, ruby-libs
BuildRequires: ruby, ruby-libs
Requires: ruby >= 1.8, ruby-libs

%description
ZoneCheck is intended to help solve DNS misconfigurations or
inconsistencies that are usually revealed by an increase in
the latency of the application. The DNS is a critical resource
for every network application, so it is quite important to
ensure that a zone or domain name is correctly configured in
the DNS.

%prep
%setup -n %{name}

%build

%install
%{__rm} -rf %{buildroot}
%makeinstall \
	PREFIX="%{buildroot}%{_prefix}" \
	ETCDIR="%{buildroot}%{_sysconfdir}" \
	LIBEXEC="%{buildroot}%{_libdir}" || :

%{__install} -d -m0755 %{buildroot}%{_libdir}/zc/cgi-bin/ \
			%{buildroot}%{_mandir}/man1/

### FIXME: Fix links that fail during install (fix upstream please)
%{__ln_s} -f %{_libdir}/zc/zc/zc.rb %{buildroot}%{_libdir}/zc/cgi-bin/zc.cgi
%{__ln_s} -f %{_libdir}/zc/zc/zc.rb %{buildroot}%{_bindir}/zc
%{__ln_s} -f %{_libdir}/zc/zc/zc.rb %{buildroot}%{_bindir}/zonecheck

### Install missing man pages (on RH73 and RH9)
%{__cp} -av man/zonecheck.1 %{buildroot}%{_mandir}/man1/zc.1
%{__cp} -av man/zonecheck.1 %{buildroot}%{_mandir}/man1/zonecheck.1

### Clean up buildroot
%{__rm} -rf %{buildroot}%{_docdir} \
		%{buildroot}%{_prefix}/man/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc BUGS ChangeLog COPYING CREDITS GPL HISTORY README TODO
%doc %{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/zc.conf
%config %{_sysconfdir}/zc.conf.*
%{_bindir}/*
%{_libdir}/zc/

%changelog
* Tue Sep 02 2003 Dag Wieers <dag@wieers.com> - 2.0.0-0.b7
- Initial package. (using DAR)
